> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ontime.hosai.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Org leave types (ordered)

> Org leave types (ordered)



## OpenAPI

````yaml /api-reference/openapi.json get /api/leave/types
openapi: 3.1.0
info:
  title: ontime API
  description: APIs for ontime.v2
  version: 1.0.0
servers:
  - url: https://app.ontime.hosai.app
    description: Production
security:
  - apiKey: []
paths:
  /api/leave/types:
    get:
      tags:
        - Leave
      summary: Org leave types (ordered)
      description: Org leave types (ordered)
      operationId: getApiLeaveTypes
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                      format: uuid
                      pattern: >-
                        ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                    orgId:
                      type: string
                      format: uuid
                      pattern: >-
                        ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                    code:
                      type: string
                    name:
                      type: string
                    annualQuota:
                      anyOf:
                        - type: number
                        - type: 'null'
                    accrualMethod:
                      type: string
                      enum:
                        - Monthly
                        - Annual
                        - CompOff
                        - None
                    accrualRate:
                      type: number
                    carryForwardCap:
                      type: integer
                      minimum: -9007199254740991
                      maximum: 9007199254740991
                    allowHalfDay:
                      type: boolean
                    requiresHrApproval:
                      type: boolean
                    colorTone:
                      type: string
                      enum:
                        - neutral
                        - accent
                        - ok
                        - warn
                        - bad
                        - info
                    order:
                      type: integer
                      minimum: -9007199254740991
                      maximum: 9007199254740991
                  required:
                    - id
                    - orgId
                    - code
                    - name
                    - annualQuota
                    - accrualMethod
                    - accrualRate
                    - carryForwardCap
                    - allowHalfDay
                    - requiresHrApproval
                    - colorTone
                    - order
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      bearerFormat: ont_ API key
      description: >-
        Issue keys in Settings → API. Send them as `Authorization: Bearer ont_…`
        (an `X-Api-Key: ont_…` header is also accepted). Session-cookie routes
        are used by the OnTime web apps and are shown for completeness.

````